WebHookActivity Class
WebHook activity.
Variables are only populated by the server, and will be ignored when sending a request.
All required parameters must be populated in order to send to Azure.
- Inheritance
-
azure.synapse.artifacts.models._models_py3.ActivityWebHookActivity
Constructor
WebHookActivity(*, name: str, url: object, additional_properties: Optional[Dict[str, object]] = None, description: Optional[str] = None, depends_on: Optional[List[azure.synapse.artifacts.models._models_py3.ActivityDependency]] = None, user_properties: Optional[List[azure.synapse.artifacts.models._models_py3.UserProperty]] = None, timeout: Optional[str] = None, headers: Optional[object] = None, body: Optional[object] = None, authentication: Optional[azure.synapse.artifacts.models._models_py3.WebActivityAuthentication] = None, report_status_on_call_back: Optional[object] = None, **kwargs)
Parameters
Unmatched properties from the message are deserialized to this collection.
- url
- object
Required. WebHook activity target endpoint and path. Type: string (or Expression with resultType string).
- timeout
- str
The timeout within which the webhook should be called back. If there is no value specified, it defaults to 10 minutes. Type: string. Pattern: ((d+).)?(dd):(60|([0-5][0-9])):(60|([0-5][0-9])).
- headers
- object
Represents the headers that will be sent to the request. For example, to set the language and type on a request: "headers" : { "Accept-Language": "en-us", "Content-Type": "application/json" }. Type: string (or Expression with resultType string).
- body
- object
Represents the payload that will be sent to the endpoint. Required for POST/PUT method, not allowed for GET method Type: string (or Expression with resultType string).
- authentication
- WebActivityAuthentication
Authentication method used for calling the endpoint.
- report_status_on_call_back
- object
When set to true, statusCode, output and error in callback request body will be consumed by activity. The activity can be marked as failed by setting statusCode >= 400 in callback request. Default is false. Type: boolean (or Expression with resultType boolean).
Variables
- method
- str
Required. Rest API method for target endpoint. Default value: "POST".
Attributes
method
method = 'POST'
Feedback
Submit and view feedback for